Summary:	      Fast samples-based log normalization library
Name:		        liblognorm
Version:	      2.0.6
Release:	      5%{?dist}
License:	      LGPLv2+
URL:		        http://www.liblognorm.com
Source0:	      http://www.liblognorm.com/files/download/%{name}-%{version}.tar.gz

Patch3000:      liblognorm-2.0.6-rhbz2105934-sphinx5.patch

BuildRequires:  gcc
BuildRequires:  chrpath pcre-devel
BuildRequires:  libestr-devel libfastjson-devel

%description
Logs from different machines (from different vendors) usually have different formats and entries 
for the same type of log are sometimes different, making it difficult to read the logs.

Liblognorm is a tool that normalizes log data so that you can normalize all logs.

%package devel
Summary:	Development tools for programs using liblognorm library
Requires:	%{name} = %{version}-%{release}
Requires:	json-c-devel
Requires:	libestr-devel

%description devel
This package includes header files, libraries necessary for developing programs which use 
liblognorm library.

%package doc
Summary: HTML documentation for liblognorm
BuildRequires: python3-sphinx
BuildRequires: make

%description doc
This sub-package contains documentation for liblognorm in a HTML form.

%package utils
Summary:	Lognormalizer utility for normalizing log files
Requires:	%{name} = %{version}-%{release}

%description utils
The lognormalizer is the core of liblognorm, it is a utility for normalizing log files.

%prep
%autosetup -p1

%build
%configure --enable-regexp --enable-docs --docdir=%{_docdir}/liblognorm/html --includedir=%{_includedir}/%{name}/

%install
%make_install V=1
rm -f %{buildroot}/%{_libdir}/*.{a,la}
chrpath -d %{buildroot}%{_bindir}/lognormalizer
chrpath -d %{buildroot}%{_libdir}/liblognorm.so
rm %{buildroot}%{_docdir}/liblognorm/html/{objects.inv,.buildinfo}

%files
%license COPYING
%doc AUTHORS ChangeLog README
%exclude %{_docdir}/liblognorm/html
%{_libdir}/lib*.so.*

%files devel
%{_includedir}/%{name}/*.h
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc

%files doc
%doc %{_docdir}/liblognorm/html

%files utils
%{_bindir}/lognormalizer

%changelog
* Sat Oct 7 2023 Shuo Wang <abushwang@tencent.com> - 2.0.6-5
- fix install fail due to sphinx update

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.6-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.6-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.6-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Nov 23 2022 Wang Guodong <gordonwwang@tencent.com> - 2.0.6-1
- package init.
